%define oname   atk

Name:       ruby-%{oname}
Version:    0.90.8
Release:    %mkrel 1
Summary:    Ruby/ATK is a Ruby binding of ATK-1.0.x
License:    LGPLv2.1
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: glib2-devel
BuildRequires: atk-devel
BuildRequires: rubygem(pkg-config)
BuildRequires: ruby-glib2-devel = %{version}
Requires:   ruby(abi) = 1.8

%description
Ruby/ATK is a Ruby binding of ATK-1.0.x.

%files
%defattr(-, root, root, -)
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_vendorlibdir}/*.rb
%{ruby_vendorarchdir}/%{oname}.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------
%package        devel
Summary:    Development files for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    devel
Development headers for %{name}

%files          devel
%defattr(-,root,root,-)
%{ruby_vendorarchdir}/*.h
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

#FIXME: implement that in gem_helper.rb
mkdir -p %{buildroot}%{ruby_vendorlibdir} %{buildroot}%{ruby_vendorarchdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/* %{buildroot}%{ruby_vendorlibdir}
mv %{buildroot}%{ruby_sitearchdir}/* %{buildroot}%{ruby_vendorarchdir}

%clean
rm -rf %{buildroot}



%changelog
* Mon Mar 14 2011 shikamaru <shikamaru> 0.90.8-1.mga1
+ Revision: 71379
- New version 0.90.8
- drop unneeded patch since glib2 is now in vendorlibdir
- move files in vendorlibdir/vendorarchdir

* Tue Feb 08 2011 shikamaru <shikamaru> 0.90.7-1.mga1
+ Revision: 49107
- require devel package instead of standard module
- imported package ruby-atk


* Tue Feb 08 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.90.7-1
- Initial package
